<!DOCTYPE html>
<html lang="fr">

<head>
    <title>The tabletop Web interface</title>
    <meta charset='UTF-8' />
    <link rel='shortcut icon' type='image/png' href='.././aide-favicon.png' />
    <link rel='stylesheet' type='text/css' href='../style.css' />
</head>

<body id='gamewindow' style='width:935px; height: 580px; background-color:#ffca7e;'>

  <table style='width:900px;' >
    <tr><td>
      <div style='min-width:640px;min-height:80px;background-color:#eee;scroll-y:auto; border-width: 2px; border-color: black; box-shadow: 5px 5px 5px #222222; border-radius: 15px; padding: 5px 10px 5px 10px;' id='ozon_txt'>../..</div>
    </td><td valign='top' align='center' rowspan='2'>
      <img style='width:150px' id='ozon_img' src=''/>
      <hr style='min-height:300px;background-color:inherit;border:none;'/>
      <button class='start' onclick='finishGame();'>Terminer</button>
    </td></tr><tr><td align='center'>
      <img style='width:640px;height:480px;background-color:gray' alt='Affichage en cours ...' id='display' src=''/>
    </td></tr>
  </table>

  <script type='text/javascript' src='../../public/webcontrols.js'></script>
  <script src='../aideweb.js'></script>
  <script src='interface.js'></script>
  <script>
    roomID = new URLSearchParams(window.location.search).get("roomID");
    let room = roomID == "room1" ? 1 : roomID == "room2" ? 2 : roomID == "room3" ? 3 : roomID == "room4" ? 4 : 0;
    let txt = document.getElementById("ozon_txt");
    let timer = undefined, tobedone = true;
    if (room > 0) {
      document.getElementById("ozon_img").src = "../images/mathieu/ozon_level" + room + ".png";
      document.getElementById("display").src = "../images/mathieu/room" + room + ".png";
      txt.innerHTML = "<b>Nous sommes en train de jouer</b>";
      timer = setInterval(function () {
        if (tobedone) {
          tobedone = false;
          let command = "i" + room + "p";
          webcontrols.curl("@/_ccwrapper", "command=" + command, "POST", function(value) {
            let path = value.replace(new RegExp(".*'([^']*)'.*"), "$1");
            document.getElementById("display").src = "../../" + path + "/draw.png";
            tobedone = true;
          });
        }
      }, 1000);
    } else {
      document.getElementById("oxon_txt").innerHTML = "<pre>Bad url query.</pre>";
    }
    function finishGame() {
      if (timer != undefined) {
        clearInterval(timer);
        timer = undefined;
      }
      if (room > 0) {
        let returnURL = "./room" + room + "_1.html?exitGame=please"
        window.location.replace(returnURL);
      }
    }
  </script>

</body>

</html>
